Summary:	NetworkManager VPN integration for PPTP
Summary(pl.UTF-8):	Integracja NetworkManagera z protokołem PPTP
Name:		NetworkManager-pptp
Version:	1.2.8
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/NetworkManager-pptp/1.2/%{name}-%{version}.tar.xz
# Source0-md5:	305e31d6aac41813d735f27891fce6d8
URL:		https://wiki.gnome.org/Projects/NetworkManager
BuildRequires:	NetworkManager-devel >= 2:1.2.0
BuildRequires:	NetworkManager-gtk-lib-devel >= 1.2.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.32
BuildRequires:	gtk+3-devel >= 3.4
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libsecret-devel >= 0.18
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	ppp-plugin-devel >= 3:2.4.5
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	NetworkManager >= 2:1.0.0
Requires:	NetworkManager-gtk-lib >= 1.0.6
Requires:	glib2 >= 1:2.32
Requires:	gtk+3 >= 3.4
Requires:	libsecret >= 0.18
%requires_eq	ppp
Requires:	pptp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetworkManager VPN integration for PPTP.

%description -l pl.UTF-8
Integracja NetworkManagera z protokołem PPTP.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--with-pppd-plugin-dir=%{_libdir}/pppd/plugins
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/NetworkManager/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pppd/plugins/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-vpn-plugin-pptp.so
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-vpn-plugin-pptp-editor.so
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-pptp-properties.so
%attr(755,root,root) %{_libdir}/pppd/plugins/nm-pptp-pppd-plugin.so
%attr(755,root,root) %{_libexecdir}/nm-pptp-auth-dialog
%attr(755,root,root) %{_libexecdir}/nm-pptp-service
%{_sysconfdir}/NetworkManager/VPN/nm-pptp-service.name
%{_prefix}/lib/NetworkManager/VPN/nm-pptp-service.name
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/nm-pptp-service.conf
%{_datadir}/appdata/network-manager-pptp.metainfo.xml
%changelog
* Mon Oct 29 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/NetworkManager-pptp.git;a=log;h=auto/th/NetworkManager-pptp-1.2.8-1

* Sun Oct 28 2018 Jakub Bogusz <qboosh@pld-linux.org> be7f0d0
- updated to 1.2.8

* Sat Mar 31 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 4cf7fe7
- Update to 1.2.6

* Mon Oct 03 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 1a042ac
- Update to 1.2.4

* Tue Jun 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 0feea86
- Fix path to configuration file. Release 2

* Sat Jun 18 2016 Marcin Banasiak <marcin.banasiak@gmail.com> d447567
- Update to 1.2.2

* Fri Nov 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 681399f
- updated to 1.0.8

* Sat Nov 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 96802b3
- updated URL

* Sun Aug 30 2015 Łukasz Kieś <kiesiu@pld-linux.org> 22b957a
- updated to 1.0.6

* Fri May 08 2015 Jakub Bogusz <qboosh@pld-linux.org> c066451
- updated to 1.0.2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 6a9cf97
- updated gettext BR

* Sun Dec 21 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 3872c46
- Update to 1.0.0

* Mon Aug 11 2014 Elan Ruusamäe <glen@delfi.ee> 7077299
- ppp rebuild
- release 2 (by relup.sh)

* Tue Jul 08 2014 Jakub Bogusz <qboosh@pld-linux.org> fd35b24
- updated to 0.9.10.0

* Sat Mar 15 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 5c94514
- Rebuild for ppp 2.4.6. Release 2

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 8687842
- updated to 0.9.8.4

* Mon Jun 10 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 752fcf8
- Update to 0.9.8.2

* Thu Feb 21 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 44f527b
- Update to 0.9.8.0

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 71868de
- updated to 0.9.6.0

* Mon Apr 02 2012 Elan Ruusamäe <glen@pld-linux.org> 643f4ff
- fix .la cleanup

* Mon Apr 02 2012 Elan Ruusamäe <glen@pld-linux.org> f2e2e55
- use unversioned ppp plugins dir

